.dev
REST APIAPI Reference

Orders V1

POST
/v1/stores/{storeId}/orders/{id}/apply

Path Parameters

storeId*string
id*string
storeId*string
id*string
storeId*string
id*string

Response Body

curl -X POST "https://example.com/v1/stores/string/orders/string/apply"
POST
/v1/stores/{storeId}/orders/{id}/confirm

Path Parameters

storeId*string
id*string
storeId*string
id*string
storeId*string
id*string

Response Body

curl -X POST "https://example.com/v1/stores/string/orders/string/confirm"
POST
/v1/stores/{storeId}/orders/{id}/reject

Path Parameters

storeId*string
id*string
storeId*string
id*string
storeId*string
id*string

Response Body

curl -X POST "https://example.com/v1/stores/string/orders/string/reject"
POST
/v1/stores/{storeId}/orders/applyMany

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/orders/applyMany"
GET
/v1/stores/{storeId}/orders/counts

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X GET "https://example.com/v1/stores/string/orders/counts"
GET
/v1/stores/{storeId}/statuses

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X GET "https://example.com/v1/stores/string/statuses"
POST
/v1/stores/{storeId}/statuses

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/statuses"
DELETE
/v1/stores/{storeId}/statuses/{statusId}

Path Parameters

storeId*string
statusId*string
storeId*string
statusId*string
storeId*string
statusId*string

Response Body

curl -X DELETE "https://example.com/v1/stores/string/statuses/string"
PUT
/v1/stores/{storeId}/statuses/{statusId}

Path Parameters

storeId*string
statusId*string
storeId*string
statusId*string
storeId*string
statusId*string

Response Body

curl -X PUT "https://example.com/v1/stores/string/statuses/string"
PUT
/v1/stores/{storeId}/statuses/reorder

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X PUT "https://example.com/v1/stores/string/statuses/reorder"
POST
/v1/stores/{storeId}/statuses/reset

Path Parameters

storeId*string
storeId*string
storeId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/statuses/reset"